::-webkit-scrollbar {
    display: none;
}
* {
    -webkit-overflow-scrolling: touch;
}

body{
  background-color: black;
  color: white;
  font-family: "sans","arial";
  padding: 0;
  width: 100%;
  height: 100%;
  margin:0;
  line-height: 1.3em;
  position: absolute;
  display: flex;
  flex-direction: column;
}

.commonContent{
  flex-grow: 1;
  overflow: hidden;
  overflow-y: scroll;
  background-color: #222;
  box-shadow: 0 0 0.5em #ddd;
  padding: 2vw;
  margin:0 auto;
  max-height: 100%;
  width:96vw;
}
a{
  color:#f90;
}
p{
  text-indent: 1em;
}
#logoDiv{
  padding:0;
  display: inline-flex;
  position: relative;
  align-items: center;
  justify-content: space-between;
  background-color: #222;
  width:100%;
  margin:0 auto;

  min-height: 3.5em;
  height: 3.5em;
  box-shadow:0 0 0.5em #ddd;
  z-index: 1000;
}
#logoDiv a{
  display: block;
  height: 3em;
  text-decoration: none;
  color:white;
  text-align: center;
}
#logoLarge{
  height: 100%;
}

.linkIcon{
  height: 2em;
  display: flex;
  align-items: center;
  justify-content: center;
}
.linkIcon img{
  width: 2em;

}

#logoDiv .desktop{
  display: none;
}
#popupMenu{
  cursor: pointer;
}

#mobileMenu{
  position: absolute;
  right: 0;
  background-color: #282828;
  padding: 0.5em;
  z-index: 1000000;
}
#mobileMenu a{
  text-decoration: none;
  display: flex;
  flex-direction: row;
  align-items: center;
  color: white;
  height: 3em;
}
#mobileMenu .linkIcon img{
  padding-right: 1em;
}
/*
#contacts{
  padding-top:1em;
  width: 20em;
  margin: 0 auto;
}*/
.contactItem{
  height: 3em;
  display: flex;
  flex-direction: row;
  position: relative;
  align-items: center;
  width: 24em;
}
.contactItem img{
 height: 2em;
}
.contactItem a.secondLink{
  padding-left: 2em;
  text-align:right;
  flex:1;
}
.trackdata{
  cursor: pointer;
  color: white;
}
.trackdata:hover{
  background-color: #404040;
}
.track_details{
  text-align: center;
}
.track_name{
   margin-top:0.5em;
  font-size:1.5em;
}
.track_location{
  color:#c0c0c0;
}
.tracklogo{
    height: 6em;
    max-height: 6em;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;

}
.tracklogo img{
  max-height: 100%;
  max-width: 100%;
}
.table_caption{
  display: none;
}
.prices_data_cell{
  text-align: center;
  padding: 0 0.75em;
}
#prices_data_pos{
  margin-top:2em;
}
#prices_data_description{
  text-align: justify;
}
.prices_data_cell img{
  max-width: 100%;
}
#prices_data_price{
  background-color: var(--brandColor);
  display: flex;
  height: 3em;
  align-items: center;
  justify-content: center;
  font-weight: bold;
  text-shadow: 0em 0em 0.3em black;
  margin-top:0.5em;
}
.prices_header{
  display: none;
  top:0;
  background-color:#222;
  z-index:1;
}
.menuimg{
   max-width: 100%;
   max-height:25vh;
}
.mainscreenmenuitem{
   max-width: 100%;
   float:none;
   text-align: center;
   padding-top:1em;
   text-decoration: none;
   color:white;
   display: block;
   border-top:1px solid #f90;
}
.mainscreenmenuitem:hover{
     background-color: #404040;
}

#mainscreenmenublock{
   display: flex;
   flex-direction: column;
}
.tracklink{
   text-decoration: none;
   display: block;
   border-top:1px solid #f90;
   padding-top:0.5em;
   margin-bottom:0.5em;
}
.tracklink.noborder{
   border-top:none;
}
#buisnessData{
   display: flex;
   flex-direction: row;
   align-items: center;
   justify-content:space-around;
   color:#f90;
   font-size: 0.5em;
}
.onlineServiceItem{
   padding-top:1em;
   display:flex;
   justify-content:space-between;
   flex-direction: column;
}
#onlinePriceHeader{
   padding-top:1em;
}
.onlinePriceContainer{
   background-color: #ff5f00;
   height:2em;
   display: flex;
   align-items: center;
   justify-content: center;
}
.onlinePrice{
   padding-right: 0.5em;
}

div#tracksOnline{
   padding: 1em 0;
   border-top:1px solid #f90;
   text-align: center;
}
span#tracksCount{
   color: #f90;
   font-weight: bold;
}

@media (orientation:landscape)
{
   #logoDiv{
      padding:0.5em;
      width: 80vw;
      min-width: 80vw;
   }
   .onlineServiceItem{
      flex-direction: row;
   }
   .onlinePriceContainer{
      width:10em;
      max-width: 10em;
      min-width: 10em;
   }
   #buisnessData{
      font-size: 0.8em;
      justify-content: center;
   }

   #buisnessData span{
      padding-right: 2em;
   }

   #mainscreenmenublock{
      padding-top: 10vh;
      flex-direction: row;
   }
   .mainscreenmenuitem{
      width:28%;
      float:left;
      padding: 1em;
      border-top:unset;
      margin:0 auto;
      box-shadow:0 0 0.2em 1px #f90;
   }
  .linkIcon{
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  .linkIcon img{
    flex-grow: 1;
    height: 100%;
    max-width: 100%;
    max-height: 100%;
    width: unset;
    padding-right: unset;
  }

  .commonContent{
     min-width: 80vw;
     max-width:80vw;
     padding:0.5em;
     margin-bottom:0.5em;
  }


  #logoDiv .desktop{
    display: block;
    max-width: 90%;
  }
  #logoDiv .mobile{
    display: none;
  }
  .contactItem{
    width:22em;
    margin:0 auto;
  }
  .tracklink{
    border-top:none;
    padding-top:unset;
    margin-bottom:unset;
    padding:1em;
 }
 #tracks{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-auto-rows: auto;
}
#tracks .tracklink{
  font-size:1.4vh;
}
 .tracklogo{
    padding:0.5em;
}

  .trackdata{
     box-shadow:0 0 0.2em 1px #f90;
  }

  .table_caption{
    height: 2em;
    display: flex;
    align-items: flex-end;
    justify-content: center;
  }
  .prices_table{
    display: table;
    width: 100%;
  }
  .prices_header,.prices_data{
    display: table-row;
  }
  .prices_data_cell{
    padding-bottom: 2em;
    border-top: 1px solid #f90;
  }
  .prices_header_cell,.prices_data_cell{
    display: table-cell;
  }
  .prices_header{
    height: 2em;
  }
  .prices_header_cell{
    text-align: center;
    vertical-align: middle;
  }
  #price_pos{
    width: 30%;
  }
  #price_description{
    width: 50%;
  }
  .prices_data_cell{
    max-width: 0px;
    position: relative;
    padding-top:1em;
  }
  .prices_data_cell img{
    max-width: 90%;
  }
  #prices_data_price{
    text-align: center;
    vertical-align: middle;
    display: table-cell;
    background: none;
    margin-top: unset;
  }
  #prices_data_pos{
    text-align: center;
  }
  #prices_data_description{
    vertical-align: middle;
  }
}
div.caption{
   width: 100%;
   text-align:center;
   border-bottom:1px solid #f90;
   padding: 0.5em 0;
}

div.content{
   padding:0.5em 0.5em;
}

.prices_data_cell.topBorder{
   padding-top:0.25em;
   border-top: 1px solid #f90;
}
